### Method

# Clutter Actor get_constraints

#### Declaration [src]

    GList*
    clutter_actor_get_constraints (
      ClutterActor* self
    )

#### Description [src]

Retrieves the list of constraints applied to `self`.

#### Return value

Type: A list of `ClutterConstraint*`

A copy of the list of `ClutterConstraint`s. The contents of the list are owned by the `ClutterActor`. Use `g_list_free()` to free the resources allocated by the returned `GList`.

The caller of the method takes ownership of the returned data container, but not the data inside it.